Loading...
Searching...
No Matches
etl::private_fsm::fsm_reentrancy_guard Class Reference

`#include <fsm.h>`

## Public Member Functions

| fsm_reentrancy_guard (bool &transition_guard_flag)
| ~fsm_reentrancy_guard () ETL_NOEXCEPT

## Detailed Description

RAII detection mechanism to catch reentrant calls to methods that might transition the state machine to a different state. This is not a mutex.

## Constructor & Destructor Documentation

## fsm_reentrancy_guard()

etl::private_fsm::fsm_reentrancy_guard::fsm_reentrancy_guard | ( | bool & | transition_guard_flag | ) |

inline

Constructor. Checks if another method has locked reentrancy.

## ~fsm_reentrancy_guard()

etl::private_fsm::fsm_reentrancy_guard::~fsm_reentrancy_guard | ( |  | ) |

inline

Destructor. Releases lock on reentrancy.

The documentation for this class was generated from the following file:

- include/etl/fsm.h